<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<Title> Tango Device Server User's Guide </Title>
</HEAD>
<BODY TEXT="#000000" BGCOLOR="#FFFFFF" LINK="#0000FF" VLINK="#7F00FF" ALINK="#FF0000">

<P><!-------TITLE------></P>

<TABLE BORDER="0" WIDTH="100%">
    <TR>
        <TD ALIGN="left">
			<A HREF="http://www.esrf.fr/" TARGET=new>
			<IMG SRC="http://controle/icons/esrf_logo.gif" BORDER=0></A>
		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.elettra.trieste.it/" TARGET=new>
			<IMG SRC="http://controle/icons/elettra_logo.gif" BORDER=0></A>

		</Td>
        <TD ALIGN="center">
			<A HREF="http://www.synchrotron-soleil.fr/" TARGET=new>
			<IMG SRC="http://controle/icons/soleil_logo.gif" BORDER=0></A>
		</Td>
        <TD ALIGN="right">
			<A HREF="http://www.cells.es/" TARGET=new>
			<IMG SRC="http://controle/icons/alba_logo.gif" BORDER=0></A>
		</Td>
    	 <Td>
			<H2><FONT COLOR="#7F00FF">
			<Center><A HREF="http://www.esrf.fr/Infrastructure/Computing/tango/" TARGET="_top">
					 TANGO </a> <Br> Device Server
			</Center></FONT>
    	</Td>
    </TR>
</TABLE>

<HR WIDTH="100%"></H5>
<Br>
<center>
<h1>
TANGO Device Server for testing generic clients		<Br>
Properties Description 		<Br> <Br>
TangoTest Class	<Br>
</h1>
<b>
Revision:  - Author: nleclercq
</b>
</center>


<Br> <Br> <Br> 
<Center>
<Br> <Br> <Br> 
<Table Border=2 Cellpadding=3 CELLSPACING=0 WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td COLSPAN=3> <Font Size=+2><Center><b>Device Properties</b></td></Font></Center>
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<Td><Center><b>Property name</b></td></Center>
<Td><Center><b>Property type</b></td></Center>
<Td><Center><b>Description</b></td></Center>
<Tr><Td><b>Mthreaded_impl</b></Td>
<Td><Font Size=-1>Tango::DEV_SHORT</Font></Td>
<Td><Font Size=-1>Multi-threaded implementation (true/false</Font></Td></Tr>

<Tr><Td><b>Sleep_period</b></Td>
<Td><Font Size=-1>Tango::DEV_LONG</Font></Td>
<Td><Font Size=-1>Data generation period (in ms</Font></Td></Tr>

<Tr><Td><b>UShort_image_ro_size</b></Td>
<Td><Font Size=-1>Tango::DEV_LONG</Font></Td>
<Td><Font Size=-1>Size of the ushort_image_ro attribute</Font></Td></Tr>

</Table>

<Br><Br><Br>
<Center><b>
There is no Class properties.<Br><Br>
</Center></b>

<Center>
<Br>
<HR WIDTH="100%"></H5>
<H3> ESRF - Software Engineering Group </H3>
</Center>
</body>
</html>
